Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030073
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2015-06-02 12:392015-08-20 23:16
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionf893e3c2c041
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030073: Different Alternate Tax Base Amount in a partial invoice from order depending on the process used

DescriptionDifferent Alternate Tax Base Amount in a partial invoice from order depending on the process used
Steps To ReproduceAs group admin role:
   Set the Entregas IVA 21% as Base Amount = Alternate Tax Base Amount
   Create a Sales Order with Invoice Terms = After Delivery
   Add two units of a product, change the Alternate Taxable Amount and book it
   Create a Goods Shipment from it and update the quantity received to 1
   Launch the Create Invoice From Orders process for that order and check the Alternate Taxable Amount is copied from the sales order (although quantity is different)
   In case you create the invoice with the Create Lines from process, the Alternate Taxable Amount is defaulted to the Line Net Amount
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
causes defect 00306983.0PR15Q4 closedaferraz It is not possible to add the lines to a Reversal Sales Invoice 

-  Notes
(0078098)
AtulOpenbravo (developer)
2015-06-04 18:10
edited on: 2015-07-06 18:42

Test Plan
- Login as Group Admin role.
- Set the Entregas IVA 21% as Base Amount = Alternate Tax Base Amount.
- Create a Sales Order with Invoice Terms = After Delivery
- Add two units of a product, change the Alternate Taxable Amount and book it
- Create a Goods Shipment from it and update the quantity received to 1
- Launch the Create Invoice From Orders process for that order and check that Alternate Taxable Amount in Invoice is in proportion of Alternate Taxable Amount of Sales Order Line with respect to the quantity being invoiced.
- Check that if you create the invoice with the Create Lines from process, the Alternate Taxable Amount is same as in the previous step.

(0078728)
vmromanos (developer)
2015-07-08 09:21

Alternative Test Plan
- Login as Group Admin role.
- Set the Entregas IVA 21% as Base Amount = Alternate Tax Base Amount.
- Create a Sales Order with Invoice Terms = After Delivery
- Add two units of a product, change the Alternate Taxable Amount and book it
- Create a Goods Shipment from it and update the quantity received to 1
- Launch the Generate Invoices process for that order and check that Alternate Taxable Amount in Invoice is in proportion of Alternate Taxable Amount of Sales Order Line with respect to the quantity being invoiced.
- Check that if you create the invoice with the Create Lines from process, the Alternate Taxable Amount is same as in the previous step.
(0078729)
hgbot (developer)
2015-07-08 09:22
edited on: 2015-07-16 11:56

Repository: erp/devel/pi
Changeset: f893e3c2c041
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jul 07 16:04:14 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/f893e3c2c041 [^]

Fixes Issue 30073:Different Alternate Tax Base Amount in a partial invoice
from order depending on the process used

Fix takes care to copy proportionate alternate taxable amount as per qty
being invoiced of the sales order line alternate tax amount. It applies
for both Create Lines From process in Sales Invoice and Create Invoices
From Order process.

Divide by zero is taken care of and cur precision is used
while division operation for rounding purpose.

---
M src-db/database/model/functions/C_INVOICE_CREATE.xml
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
---

(0078730)
hgbot (developer)
2015-07-08 09:22
edited on: 2015-07-16 11:56

Repository: erp/devel/pi
Changeset: c82b3ab5e581
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Jul 07 18:49:21 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c82b3ab5e581 [^]

Related to issue 30073: code review improvements

CreateFrom.java:
1. Use admin mode to get order line
2. Avoid possible NPE when getting data[i].cOrderlineId

C_INVOICE_CREATE:
1. Added rounding to currency precission
2. Tax Base Amount pro-rating support when running Generate Invoices and we select a partially shipped order

---
M src-db/database/model/functions/C_INVOICE_CREATE.xml
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
---

(0078731)
vmromanos (developer)
2015-07-08 09:22

Code review + testing OK
(0079483)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test
(0079484)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-06-02 12:39 ngarcia New Issue
2015-06-02 12:39 ngarcia Assigned To => Triage Finance
2015-06-02 12:39 ngarcia Modules => Core
2015-06-02 12:39 ngarcia Triggers an Emergency Pack => No
2015-06-02 12:40 ngarcia Issue Monitored: networkb
2015-06-02 17:41 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-06-02 17:56 AtulOpenbravo Status new => scheduled
2015-06-04 18:10 AtulOpenbravo Note Added: 0078098
2015-07-06 18:42 AtulOpenbravo Note Edited: 0078098 View Revisions
2015-07-08 09:21 vmromanos Note Added: 0078728
2015-07-08 09:22 hgbot Checkin
2015-07-08 09:22 hgbot Note Added: 0078729
2015-07-08 09:22 hgbot Status scheduled => resolved
2015-07-08 09:22 hgbot Resolution open => fixed
2015-07-08 09:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/29b1d32b4ac50de247fe197aa64f7c5c2523c8e1 [^]
2015-07-08 09:22 hgbot Checkin
2015-07-08 09:22 hgbot Note Added: 0078730
2015-07-08 09:22 vmromanos Review Assigned To => vmromanos
2015-07-08 09:22 vmromanos Note Added: 0078731
2015-07-08 09:22 vmromanos Status resolved => closed
2015-07-16 11:56 gorka_gil Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/29b1d32b4ac50de247fe197aa64f7c5c2523c8e1 [^] => http://code.openbravo.com/erp/devel/pi/rev/f893e3c2c041 [^]
2015-07-16 11:56 gorka_gil Note Edited: 0078729 View Revisions
2015-07-16 11:56 gorka_gil Note Edited: 0078730 View Revisions
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079483
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079484
2015-08-31 08:45 aferraz Relationship added causes 0030698


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker